import type { RenderingPlugin, RenderingService } from '@antv/g';
export declare class ControlPlugin implements RenderingPlugin {
    private renderingContext;
    private camera;
    private canvasConfig;
    private hammertime;
    private isMoving;
    private lastX;
    private lastY;
    private ctrlKey;
    private shiftKey;
    private altKey;
    apply(renderingService: RenderingService): void;
    private onPanstart;
    private onPanmove;
    private onPanend;
    private onPinch;
    private onMousewheel;
    private dolly;
    private pan;
    private roll;
    private rotate;
}
