"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.containerModule = exports.Plugin = void 0;

var _manaSyringe = require("mana-syringe");

var _ControlPlugin = require("./ControlPlugin");

var containerModule = (0, _manaSyringe.Module)(function (register) {
  register(_ControlPlugin.ControlPlugin);
});
exports.containerModule = containerModule;

var Plugin =
/** @class */
function () {
  function Plugin() {}

  Plugin.prototype.init = function (container) {
    container.load(containerModule, true);
  };

  Plugin.prototype.destroy = function (container) {
    container.unload(containerModule);
  };

  return Plugin;
}();

exports.Plugin = Plugin;